package com.jpattern.orm.test.domain.section08;

import com.jpattern.orm.annotation.FK;
import com.jpattern.orm.annotation.Generator;
import com.jpattern.orm.annotation.Id;
import com.jpattern.orm.annotation.Table;
import com.jpattern.orm.annotation.generator.GeneratorType;

/**
 * 
 * @author cinafr
 *
 */
@Table(tableName="USER_JOB")
public class UserJob {

	@Id
	@Generator(generatorType=GeneratorType.AUTOGENERATED_FALLBACK_SEQUENCE, name="SEQ_USER_JOB")
	private Long id;
	@FK(references=User.class)
	private Long userId;
	private String name;

	public UserJob() {
	}

	public UserJob(final String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}
	public void setName(final String name) {
		this.name = name;
	}
	public Long getId() {
		return id;
	}
	public void setId(final Long id) {
		this.id = id;
	}
	public Long getUserId() {
		return userId;
	}
	public void setUserId(final Long userId) {
		this.userId = userId;
	}

}
